Package proton :: Class EventType

[frames] | no frames]

# Class EventType

source code

    object --+
             |
            EventType

Instance Methods

__init__(self, name=None, number=None, method=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| TYPES = ``{`1`:` PN_REACTOR_INIT`,` 2`:` PN_REACTOR_QUIESCED`,` 3`:` PN_REA`...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name=None, number=None, method=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

Class Variable Details

### TYPES

Value:

      {1: PN_REACTOR_INIT,
       2: PN_REACTOR_QUIESCED,
       3: PN_REACTOR_FINAL,
       4: PN_TIMER_TASK,
       5: PN_CONNECTION_INIT,
       6: PN_CONNECTION_BOUND,
       7: PN_CONNECTION_UNBOUND,
       8: PN_CONNECTION_LOCAL_OPEN,
      ...